# __gnu_cxx::__conditional_type< _Cond, _Iftrue, _Iffalse > Struct Template Reference

List of all members.

## Detailed Description

### template<bool _Cond, typename _Iftrue, typename _Iffalse>
struct __gnu_cxx::__conditional_type< _Cond, _Iftrue, _Iffalse >

Definition at line 58 of file type_traits.h.

## Public Types

- typedef _Iftrue __type

The documentation for this struct was generated from the following file:

- type_traits.h